<?php 
require('../flowap/system.php');
echo functions::level(100);
switch($act) {
    default: 
    	$title->GetHeader();?>
		<div class="flowap3">
			<div class="flowap3">
				<div class="titlerg">Админ панель</div>
				<a href="/admins/razd/" class="linkr">Управление разделами</a>
				<a href="/admins/podrazd/" class="linkr">Управление подразделами</a>
				<a href="/admins/adds/" class="linkr">Создать блог</a>
			</div>
		</div>	
		<?php $title->GetFooter();
	break;
	// тут разделы блога
	case 'razd':
    	$title->GetHeader();
    	if(isset($_POST['add'])) {
    		$name = functions::htmlred($_POST['name']);
    		if(empty($name) || mb_strlen($name) < 2 || mb_strlen($name) > 100):
            	$err = 'Имя должно быть от 2 до 20 символов.';
           	endif;
   	        if(isset($err)):
            	$_SESSION['err'] = $err;
            	header('location: /admins/razd/'); exit;
        	else:
        		$urlt = functions::transliterate($name);
        		DB::$dbs->query('INSERT INTO `razd` SET `name` = ?,`urlt` = ?',[$name,$urlt]);
	            $_SESSION['good'] = 'Раздел добавлен.';
            	header('location: /admins/razd/'); exit;
        	endif;
    	}
    	?>
		<div class="flowap3">
			<div class="titlerg">Управление разделами</div>
    	<?php
    	$sql = DB::$dbs->query("SELECT `id`,`name`,`urlt` FROM `razd` ORDER BY `id` DESC LIMIT 10")->fetchAll(PDO::FETCH_BOTH);
        foreach ($sql as $vivd): ?>
			<div class="linkr3"><?php echo $vivd['name'];?></div>
        <?php endforeach; ?>
			<form method="post" action="" class="bogess">
	            <div class="inputots">
	                <input type="text" maxlength="100" name="name" placeholder="Разделы">
	            </div>
	            <input type="submit" name="add" value="Создать раздел">
			</form>
		</div>	
		<?php $title->GetFooter();	
	break;
	// тут подразделы блога
	case 'podrazd':
    	$title->SetTitle('Управление подразделами');
    	$title->GetHeader();
    	if(isset($_POST['add'])) {
    		$name = functions::htmlred($_POST['name']);
    		$razdel = functions::ints($_POST['razdel']);
    		if(empty($name) || mb_strlen($name) < 2 || mb_strlen($name) > 100):
            	$err = 'Имя должно быть от 2 до 20 символов.';
           	elseif(empty($razdel) || $razdel == 0):
            	$err = 'Вы не выбрали раздел.';
            elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `razd` WHERE `id` = ?', [$razdel]) == 0):
       	 		$err = 'Такого раздела не существует.';	
           	endif;
   	        if(isset($err)):
            	$_SESSION['err'] = $err;
            	header('location: /admins/podrazd/'); exit;
        	else:
        		$urlt = functions::transliterate($name);
        		DB::$dbs->query('INSERT INTO `podrazd` SET `razdel` = ?,`name` = ?,`urlt` = ?',[$razdel,$name,$urlt]);
	            $_SESSION['good'] = 'Подраздел добавлен.';
            	header('location: /admins/podrazd/'); exit;
        	endif;
    	}
    	?>
		<div class="flowap3">
			<div class="titlerg">Управление подразделами</div>
	    	<?php $sql = DB::$dbs->query("SELECT `id`,`name`,`urlt` FROM `podrazd` ORDER BY `id` DESC LIMIT 10")->fetchAll(PDO::FETCH_BOTH);
	        foreach ($sql as $vivd): ?>
				<div class="linkr3"><?php echo $vivd['name'];?></div>
	        <?php endforeach; ?>
			<form method="post" action="" class="bogess">
	            <div class="inputots">
	            	<div>Название:</div>
	                <input type="text" maxlength="100" name="name" placeholder="Название подраздела">
	            </div>
			    <div> 
			        <div>Раздел:</div>
			        <select name="razdel">
						<option value="0" selected="selected">Выберете раздел</option>
						<?php $sql = DB::$dbs->query("SELECT `id`,`name` FROM `razd` ORDER BY `id` DESC LIMIT 50")->fetchAll(PDO::FETCH_BOTH);
						foreach ($sql as $vivd): ?>
                       		<option value="<?php echo $vivd['id'];?>"><?php echo $vivd['name'];?></option>
                        <?php endforeach; ?>
					</select>
			    </div>
	            <input type="submit" name="add" value="Создать подраздел">
			</form>
		</div>
		<?php $title->GetFooter();	
	break;
}
?>